import { useRef, useEffect } from 'react';
export const createStaticHandler = () => {
    return {};
};
export const useHandler = () => {
    const _handler = useRef({});
    return _handler.current;
};
export const useExposeHandler = (handler, methods, dependency = []) => {
    useEffect(() => {
        if (handler) {
            Object.assign(handler, methods);
        }
        return () => {
            if (handler) {
                Object.assign(handler, {});
            }
        };
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, dependency);
};
