declare type EventAgumentType<T> = (argv?: T) => void;
export declare const useDelayEventHandler: <T>(event: EventAgumentType<T>, { delayUntilRepeat }: {
    delayUntilRepeat: number;
}) => EventAgumentType<T>;
declare type EventConfig = {
    event: () => void;
    eventKey: string;
    delayUntilRepeat?: number;
};
export declare const useDelayEventHandlerEx: ({ delayUntilRepeat, }: {
    delayUntilRepeat: number;
}) => (eventConfig: EventConfig) => void;
export {};
