import { useRef, useEffect } from 'react';
import { UserActionLock } from './user-action-lock';
export const useRunner = () => {
    const actionLock = useRef(UserActionLock.create()).current;
    //
    const runOnce = (config) => {
        if (actionLock.lock(config.lockKey)) {
            config.func();
        }
    };
    useEffect(() => { }, []);
    return { runOnce };
};
